Bug 1085555 (CVE-2014-0171) - CVE-2014-0171 Odata4j: XML eXternal Entity (XXE) flaw
Summary: CVE-2014-0171 Odata4j: XML eXternal Entity (XXE) flaw
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-0171
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20150112,repor...
Depends On: 1085557 1175929
Blocks: 1084867 1159088
TreeView+ depends on / blocked
 
Reported: 2014-04-08 22:27 UTC by Pavel Polischouk
Modified: 2019-06-08 19:59 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was found that Odata4j permitted XML eXternal Entity (XXE) attacks. If a REST endpoint was deployed, a remote attacker could submit a request containing an external XML entity that, when resolved, allowed that attacker to read files on the application server in the context of the user running that server.
Clone Of:
Environment:
Last Closed: 2015-01-12 18:07:32 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0034 normal SHIPPED_LIVE Moderate: Red Hat JBoss Data Virtualization 6.0.0 security update 2015-01-12 22:32:40 UTC

Description Pavel Polischouk 2014-04-08 22:27:07 UTC
IssueDescription:

It was found that Odata4j permitted XML eXternal Entity (XXE) attacks. If a REST endpoint was deployed, a remote attacker could submit a request containing an external XML entity that, when resolved, allowed that attacker to read files on the application server in the context of the user running that server.

Comment 7 Martin Prpič 2014-09-19 09:26:35 UTC
Acknowledgements:

This issue was discovered by David Jorm of Red Hat Product Security.

Comment 10 errata-xmlrpc 2015-01-12 17:33:23 UTC
This issue has been addressed in the following products:

  JBoss Data Virtualization 6.0.0

Via RHSA-2015:0034 https://rhn.redhat.com/errata/RHSA-2015-0034.html


Note You need to log in before you can comment on or make changes to this bug.